org.keycloak.adapters.undertow

## Class UndertowHttpFacade

- java.lang.Object
- - org.keycloak.adapters.undertow.UndertowHttpFacade

- All Implemented Interfaces:
    HttpFacade

      public class UndertowHttpFacade
      extends Object
      implements HttpFacade

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `UndertowHttpFacade.RequestFacade`
    `protected class` | `UndertowHttpFacade.ResponseFacade`

    - ### Nested classes/interfaces inherited from interface org.keycloak.adapters.HttpFacade

      `HttpFacade.Cookie, HttpFacade.Request, HttpFacade.Response`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected io.undertow.server.HttpServerExchange` | `exchange`
    `static io.undertow.util.AttachmentKey<KeycloakSecurityContext>` | `KEYCLOAK_SECURITY_CONTEXT_KEY`
    `protected UndertowHttpFacade.RequestFacade` | `requestFacade`
    `protected UndertowHttpFacade.ResponseFacade` | `responseFacade`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UndertowHttpFacade(io.undertow.server.HttpServerExchange exchange)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `X509Certificate[]` | `getCertificateChain()`
    `HttpFacade.Request` | `getRequest()`
    `HttpFacade.Response` | `getResponse()`
    `KeycloakSecurityContext` | `getSecurityContext()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KEYCLOAK_SECURITY_CONTEXT_KEY

          public static final io.undertow.util.AttachmentKey<KeycloakSecurityContext> KEYCLOAK_SECURITY_CONTEXT_KEY

    - #### exchange

          protected io.undertow.server.HttpServerExchange exchange

    - #### requestFacade

          protected UndertowHttpFacade.RequestFacade requestFacade

    - #### responseFacade

          protected UndertowHttpFacade.ResponseFacade responseFacade

  - ### Constructor Detail

    - #### UndertowHttpFacade

          public UndertowHttpFacade(io.undertow.server.HttpServerExchange exchange)

  - ### Method Detail

    - #### getRequest

          public HttpFacade.Request getRequest()

      Specified by:
        `getRequest` in interface `HttpFacade`

    - #### getResponse

          public HttpFacade.Response getResponse()

      Specified by:
        `getResponse` in interface `HttpFacade`

    - #### getSecurityContext

          public KeycloakSecurityContext getSecurityContext()

      Specified by:
        `getSecurityContext` in interface `HttpFacade`

    - #### getCertificateChain

          public X509Certificate[] getCertificateChain()

      Specified by:
        `getCertificateChain` in interface `HttpFacade`

Copyright © 2014. All Rights Reserved.